# Uses of Class
java.text.CollationElementIterator

Packages that use CollationElementIterator
Package
Description
java.text
Provides classes and interfaces for handling text, dates, numbers, and messages in a manner independent of natural languages.

## Uses of CollationElementIterator in java.text

Methods in java.text that return CollationElementIterator
Modifier and Type
Method
Description
`CollationElementIterator`
RuleBasedCollator.`getCollationElementIterator(String source)`
Returns a CollationElementIterator for the given String.
`CollationElementIterator`
RuleBasedCollator.`getCollationElementIterator(CharacterIterator source)`
Returns a CollationElementIterator for the given CharacterIterator.